spyserver_protocol.h File Reference
`#include <stdint.h>`
`#include <limits.h>`
Include dependency graph for spyserver_protocol.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | ClientHandshake
struct | CommandHeader
struct | SettingTarget
struct | MessageHeader
struct | DeviceInfo
struct | ClientSync
struct | ComplexInt16
struct | ComplexUInt8

## Macros

#define | SPYSERVER_PROTOCOL_VERSION (((2) << 24) | ((0) << 16) | (1700))
#define | SPYSERVER_MAX_COMMAND_BODY_SIZE (256)
#define | SPYSERVER_MAX_MESSAGE_BODY_SIZE (1 << 20)
#define | SPYSERVER_MAX_DISPLAY_PIXELS (1 << 15)
#define | SPYSERVER_MIN_DISPLAY_PIXELS (100)
#define | SPYSERVER_MAX_FFT_DB_RANGE (150)
#define | SPYSERVER_MIN_FFT_DB_RANGE (10)
#define | SPYSERVER_MAX_FFT_DB_OFFSET (100)

## Enumerations

enum | DeviceType { DEVICE_INVALID = 0 , DEVICE_AIRSPY_ONE = 1 , DEVICE_AIRSPY_HF = 2 , DEVICE_RTLSDR = 3 }
enum | CommandType { CMD_HELLO = 0 , CMD_GET_SETTING = 1 , CMD_SET_SETTING = 2 , CMD_PING = 3 }
enum | SettingType { SETTING_STREAMING_MODE = 0 , SETTING_STREAMING_ENABLED = 1 , SETTING_GAIN = 2 , SETTING_IQ_FORMAT = 100 , SETTING_IQ_FREQUENCY = 101 , SETTING_IQ_DECIMATION = 102 , SETTING_IQ_DIGITAL_GAIN = 103 , SETTING_FFT_FORMAT = 200 , SETTING_FFT_FREQUENCY = 201 , SETTING_FFT_DECIMATION = 202 , SETTING_FFT_DB_OFFSET = 203 , SETTING_FFT_DB_RANGE = 204 , SETTING_FFT_DISPLAY_PIXELS = 205 }
enum | StreamType { STREAM_TYPE_STATUS = 0 , STREAM_TYPE_IQ = 1 , STREAM_TYPE_AF = 2 , STREAM_TYPE_FFT = 4 }
enum | StreamingMode { STREAM_MODE_IQ_ONLY = STREAM_TYPE_IQ , STREAM_MODE_AF_ONLY = STREAM_TYPE_AF , STREAM_MODE_FFT_ONLY = STREAM_TYPE_FFT , STREAM_MODE_FFT_IQ = STREAM_TYPE_FFT | STREAM_TYPE_IQ , STREAM_MODE_FFT_AF = STREAM_TYPE_FFT | STREAM_TYPE_AF }
enum | StreamFormat { STREAM_FORMAT_INVALID = 0 , STREAM_FORMAT_UINT8 = 1 , STREAM_FORMAT_INT16 = 2 , STREAM_FORMAT_INT24 = 3 , STREAM_FORMAT_FLOAT = 4 , STREAM_FORMAT_DINT4 = 5 }
enum | MessageType { MSG_TYPE_DEVICE_INFO = 0 , MSG_TYPE_CLIENT_SYNC = 1 , MSG_TYPE_PONG = 2 , MSG_TYPE_READ_SETTING = 3 , MSG_TYPE_UINT8_IQ = 100 , MSG_TYPE_INT16_IQ = 101 , MSG_TYPE_INT24_IQ = 102 , MSG_TYPE_FLOAT_IQ = 103 , MSG_TYPE_UINT8_AF = 200 , MSG_TYPE_INT16_AF = 201 , MSG_TYPE_INT24_AF = 202 , MSG_TYPE_FLOAT_AF = 203 , MSG_TYPE_DINT4_FFT = 300 , MSG_TYPE_UINT8_FFT = 301 }
enum | ParserPhase { AcquiringHeader , ReadingData }

## Macro Definition Documentation

## SPYSERVER_MAX_COMMAND_BODY_SIZE

#define SPYSERVER_MAX_COMMAND_BODY_SIZE (256)

## SPYSERVER_MAX_DISPLAY_PIXELS

#define SPYSERVER_MAX_DISPLAY_PIXELS (1 << 15)

## SPYSERVER_MAX_FFT_DB_OFFSET

#define SPYSERVER_MAX_FFT_DB_OFFSET (100)

## SPYSERVER_MAX_FFT_DB_RANGE

#define SPYSERVER_MAX_FFT_DB_RANGE (150)

## SPYSERVER_MAX_MESSAGE_BODY_SIZE

#define SPYSERVER_MAX_MESSAGE_BODY_SIZE (1 << 20)

## SPYSERVER_MIN_DISPLAY_PIXELS

#define SPYSERVER_MIN_DISPLAY_PIXELS (100)

## SPYSERVER_MIN_FFT_DB_RANGE

#define SPYSERVER_MIN_FFT_DB_RANGE (10)

## SPYSERVER_PROTOCOL_VERSION

#define SPYSERVER_PROTOCOL_VERSION (((2) << 24) | ((0) << 16) | (1700))

## Enumeration Type Documentation

## CommandType

enum CommandType

Enumerator
CMD_HELLO |
CMD_GET_SETTING |
CMD_SET_SETTING |
CMD_PING |

## DeviceType

enum DeviceType

Enumerator
DEVICE_INVALID |
DEVICE_AIRSPY_ONE |
DEVICE_AIRSPY_HF |
DEVICE_RTLSDR |

## MessageType

enum MessageType

Enumerator
MSG_TYPE_DEVICE_INFO |
MSG_TYPE_CLIENT_SYNC |
MSG_TYPE_PONG |
MSG_TYPE_READ_SETTING |
MSG_TYPE_UINT8_IQ |
MSG_TYPE_INT16_IQ |
MSG_TYPE_INT24_IQ |
MSG_TYPE_FLOAT_IQ |
MSG_TYPE_UINT8_AF |
MSG_TYPE_INT16_AF |
MSG_TYPE_INT24_AF |
MSG_TYPE_FLOAT_AF |
MSG_TYPE_DINT4_FFT |
MSG_TYPE_UINT8_FFT |

## ParserPhase

enum ParserPhase

Enumerator
AcquiringHeader |
ReadingData |

## SettingType

enum SettingType

Enumerator
SETTING_STREAMING_MODE |
SETTING_STREAMING_ENABLED |
SETTING_GAIN |
SETTING_IQ_FORMAT |
SETTING_IQ_FREQUENCY |
SETTING_IQ_DECIMATION |
SETTING_IQ_DIGITAL_GAIN |
SETTING_FFT_FORMAT |
SETTING_FFT_FREQUENCY |
SETTING_FFT_DECIMATION |
SETTING_FFT_DB_OFFSET |
SETTING_FFT_DB_RANGE |
SETTING_FFT_DISPLAY_PIXELS |

## StreamFormat

enum StreamFormat

Enumerator
STREAM_FORMAT_INVALID |
STREAM_FORMAT_UINT8 |
STREAM_FORMAT_INT16 |
STREAM_FORMAT_INT24 |
STREAM_FORMAT_FLOAT |
STREAM_FORMAT_DINT4 |

## StreamingMode

enum StreamingMode

Enumerator
STREAM_MODE_IQ_ONLY |
STREAM_MODE_AF_ONLY |
STREAM_MODE_FFT_ONLY |
STREAM_MODE_FFT_IQ |
STREAM_MODE_FFT_AF |

## StreamType

enum StreamType

Enumerator
STREAM_TYPE_STATUS |
STREAM_TYPE_IQ |
STREAM_TYPE_AF |
STREAM_TYPE_FFT |